Skip to main content
GET
/
entities
/
{entityId}
Get Entity Details By Id
curl --request GET \
  --url https://deep-index.moralis.io/api/v2.2/entities/{entityId} \
  --header 'X-API-Key: <api-key>'
{
  "name": "Uniswap",
  "id": "uniswap",
  "logo": "https://uniswap.io/favicon.ico",
  "bio": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
  "description": "Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies.",
  "website": "https://uniswap.io",
  "twitter": "https://twitter.com/uniswap",
  "type": "exchange",
  "addresses": [
    {
      "address": "0x1f98431c8ad98523631ae4a59f267346ea31f984",
      "chain": "ethereum",
      "is_multi_chain": false,
      "primary_label": "Uniswap",
      "additional_labels": [
        [
          "Uniswap",
          "Uniswap V3"
        ]
      ]
    }
  ]
}
Endpoint cost: CUs. Learn more about compute units.

Authorizations

X-API-Key
string
header
default:test
required

Path Parameters

entityId
string
required
Example:

"1"

Response

200 - application/json

Returns the entity.

name
string

The name of the entity

Example:

"Uniswap"

id
string

The id of the entity

Example:

"uniswap"

The logo of the entity

Example:

"https://uniswap.io/favicon.ico"

bio
string

The bio of the entity

Example:

"Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies."

description
string

The description of the entity

Example:

"Uniswap is a decentralized finance protocol that is used to exchange cryptocurrencies."

website
string

The website of the entity

Example:

"https://uniswap.io"

twitter
string

The twitter of the entity

Example:

"https://twitter.com/uniswap"

type
string

The type of the entity

Example:

"exchange"

addresses
object[]